How a company's score changed over time, and why
curl --request GET \
--url https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"company_id": 123,
"data": [
{
"scored_at": "2023-11-07T05:31:56Z",
"as_of": "2023-12-25",
"score": 123,
"pillars": {},
"changes": [
{
"cause": "first_score",
"pillar": "<string>",
"points": 123,
"summary": "<string>",
"detail": {}
}
],
"previous_score": 123,
"delta": 123,
"tier": "hot",
"previous_tier": "hot",
"summary": "<string>",
"new_events": [
{
"type": "<string>",
"label": "<string>",
"at": "2023-12-25",
"points": 123,
"pillar": "engagement",
"persona": "<string>",
"count": 1,
"contact_id": 123,
"detail": {},
"source": {},
"site": "<string>"
}
]
}
],
"meta": {
"has_more": true,
"returned": 123,
"total": 123,
"limit": 123,
"offset": 0,
"next_offset": 123,
"scored_at": "2023-11-07T05:31:56Z",
"scoring_version": "<string>"
},
"current_score": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}traffic
How a company's score changed over time, and why
Every recorded change of the stored score, newest first: the score, the previous score and delta, the pillar values, the causes (new events, fading activity, a profile change, company data or signal weights) and the events that arrived. Changes of 2 points or more, or with a cause other than fading activity, are recorded. Only for accounts on stored scoring.
GET
/
v1
/
trackers
/
{tracker_code}
/
companies
/
{company_id}
/
score
/
history
How a company's score changed over time, and why
curl --request GET \
--url https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies/{company_id}/score/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"company_id": 123,
"data": [
{
"scored_at": "2023-11-07T05:31:56Z",
"as_of": "2023-12-25",
"score": 123,
"pillars": {},
"changes": [
{
"cause": "first_score",
"pillar": "<string>",
"points": 123,
"summary": "<string>",
"detail": {}
}
],
"previous_score": 123,
"delta": 123,
"tier": "hot",
"previous_tier": "hot",
"summary": "<string>",
"new_events": [
{
"type": "<string>",
"label": "<string>",
"at": "2023-12-25",
"points": 123,
"pillar": "engagement",
"persona": "<string>",
"count": 1,
"contact_id": 123,
"detail": {},
"source": {},
"site": "<string>"
}
]
}
],
"meta": {
"has_more": true,
"returned": 123,
"total": 123,
"limit": 123,
"offset": 0,
"next_offset": 123,
"scored_at": "2023-11-07T05:31:56Z",
"scoring_version": "<string>"
},
"current_score": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}